Blizzard API


Overview

The Blizzard API module provides an interface for other modules to interact with Battle.net APIs and allows users to login using their Battle.net accounts.

Developers may use this module to quickly access game data from World of Warcraft, Diablo 3, and StarCraft 2. For users that login using a Battle.net account, they may also access protected account information, if permitted, such as StarCraft 2 profiles and World of Warcraft characters. Source code is fully documented and additional code examples are provided in the included *.api.php files.

Drupal 7 requirements

Blizzard API module

  • PHP extensions: OpenSSL

Blizzard API Login module

  • PHP 5.3.2 (or later)
  • A secure, HTTPS enabled, web server.
  • Libraries API

Sites that intend to support Battle.net logins should also see the installation instructions included in the README file.

Other releases

An 8.x-1.x branch has been completed in time for the release of Drupal 8.0, however due to low demand, will not be supported publicly at this time.

The 7.x-1.x branch is no longer supported. Upgrade to 7.x-2.x releases.

The 6.x-1.x branch is no longer supported. Upgrade to Drupal 7.


Blizzard API项目的Drush安装命令:复制到剪贴板

注:个别模块仍需开启相关子模块。
周安装量: 
7
维护状态: 
最低限度维护
开发状态: 
积极开发中

推荐版本下载:

版本下载地址发布日期发布说明翻译下载
7.x-2.0-rc2tar.gz (68.68 KB) | zip (85.13 KB)2015年7月21日发布说明简 | 繁 | 更多

其他版本下载:

版本下载地址发布日期发布说明翻译下载
7.x-1.0tar.gz (41.53 KB) | zip (48.23 KB)2014年8月30日发布说明简 | 繁 | 更多

开发版本下载:

版本下载地址发布日期发布说明翻译下载
7.x-2.x-devtar.gz (68.69 KB) | zip (85.16 KB)2015年7月21日发布说明简 | 繁 | 更多
7.x-1.x-devtar.gz (41.54 KB) | zip (48.25 KB)2014年8月30日发布说明简 | 繁 | 更多